XWiki Commons
  1. XWiki Commons
  2. XCOMMONS-29

Provide xwiki.clirr.previous.version property in the root pom

    Details

    • Type: Improvement Improvement
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 3.2 M2
    • Fix Version/s: 3.1.1, 3.2 M3
    • Labels:
      None
    • Similar issues:
      XCOMMONS-61Provide valid website URLs in XWiki Maven POMs
      XCOMMONS-334Validate versions for POM dependencies
      XCOMMONS-54Upgrade to AntRun Maven Plugin v1.7
      XCOMMONS-192Upgrade to Maven Release plugin 2.3.2
      XCOMMONS-705Upgrading an extension on a namespace and it's jar dependency on root does not work
      XCOMMONS-247Upgrade to the Maven Invoker plugin version 1.7
      XCOMMONS-78Add Selenium dependency management to the top level pom
      XCOMMONS-492Create a Top level POM for contrib projects to use
      XCOMMONS-733Don't mock Provider by default
      XCOMMONS-111Add support for list and map in default Provider

      Description

      So that not everyone with the same version has to redefine it like we do now in all XWiki projects.

        Activity

        There are no comments yet on this issue.

          People

          • Assignee:
            Thomas Mortagne
            Reporter:
            Thomas Mortagne
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: